Get Schema Migration Status

View as MarkdownOpen in Claude
Returns the current status of a schema migration job, which reprocesses a V4 dataset's datapoints against a newer schema version. A migration job has these statuses: - `processing` — the migration is underway. **Terminal statuses:** - `complete` — all datapoints were reprocessed. `reprocessed_count` is populated. - `partial` — some datapoints were reprocessed and some fields could not be re-normalised (and were nulled). `reprocessed_count`, `failed_count`, and `errors` are populated. - `failed` — the migration failed entirely. `reason` is populated. Continue polling while the status is `processing`.

Authentication

AuthorizationToken
The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings. Your API token does not have an expiry date and carries full permission, so be sure to keep them secure. If your token is leaked, delete it and create a new one directly in the app. In your requests add `Authorization` header with the value `Token <your token>`.

Path parameters

dataset_idstringRequiredformat: "uuid"
The unique identifier of the dataset
job_idstringRequiredformat: "uuid"
The schema migration job ID

Response

Schema migration job status
dataset_idstringformat: "uuid"
The dataset being migrated.
job_idstringformat: "uuid"
The unique identifier of the schema migration job.
schema_versioninteger>=1
The schema version this job reprocesses datapoints up to.
created_atdatetime

When the migration job was created (ISO 8601, UTC).

updated_atdatetime

When the migration job was last updated (ISO 8601, UTC).

statusenum
Current status of the migration job.
reprocessed_countinteger>=0

Number of datapoints reprocessed. Present when status is complete or partial.

failed_countinteger>=0

Number of datapoints with at least one field that could not be re-normalised. Present when status is partial.

errorslist of objects

Record-level failures — fields nulled because they were invalid under the new schema. Present when status is partial.

reasonstring

Human-readable reason for failure. Present when status is failed.

Errors

4XX
Client Request Error
404
Not Found Error